ephy-password-manager
3
EPIPHANY Library

# ephy-password-manager

## Synopsis

    #define             EPHY_PASSWORD_MANAGER_IFACE         (k)
    #define             EPHY_IS_PASSWORD_MANAGER_IFACE      (k)
    #define             EPHY_TYPE_PASSWORD_INFO
    EphyPasswordInfo*   ephy_password_info_new              (const char *host,
                                                             const char *username,
                                                             const char *password);
    EphyPasswordInfo*   ephy_password_info_copy             (const EphyPasswordInfo *info);
    void                ephy_password_info_free             (EphyPasswordInfo *info);
    GType               ephy_password_manager_get_type      (void);

## Description

## Details

### EPHY_PASSWORD_MANAGER_IFACE()

    #define EPHY_PASSWORD_MANAGER_IFACE(k)		(G_TYPE_CHECK_CLASS_CAST((k), EPHY_TYPE_PASSWORD_MANAGER, EphyPasswordManagerIface))

`k` :

### EPHY_IS_PASSWORD_MANAGER_IFACE()

    #define EPHY_IS_PASSWORD_MANAGER_IFACE(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), EPHY_TYPE_PASSWORD_MANAGER))

`k` :

### EPHY_TYPE_PASSWORD_INFO

    #define EPHY_TYPE_PASSWORD_INFO			(ephy_password_info_get_type ())

### ephy_password_info_new ()

    EphyPasswordInfo*   ephy_password_info_new              (const char *host,
                                                             const char *username,
                                                             const char *password);

Generates a new EphyPasswordInfo.

`host` :

  a host name

`username` :

  a user name

`password` :

  a password, or NULL

Returns :

  the new password info.

### ephy_password_info_copy ()

    EphyPasswordInfo*   ephy_password_info_copy             (const EphyPasswordInfo *info);

`info` :

  a EphyPasswordInfo

Returns :

  a copy of `info`

### ephy_password_info_free ()

    void                ephy_password_info_free             (EphyPasswordInfo *info);

Frees `info`.

`info` :

### ephy_password_manager_get_type ()

    GType               ephy_password_manager_get_type      (void);

Returns :